Repository 32bit  Forum
Repository 64bit  Wiki

Gslacky & upgrade

Questo forum raccoglie tutte le discussioni sul progetto Gnome Slacky (Gnome per Slackware).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Gslacky usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Gslacky & upgrade

Messaggioda mkt0 » lun mar 03, 2008 10:15

Oramai senza Gslacky non si puo' stare :)

L'altro giorno mi sono imbarcato in uno "swaret --upgrade", e ovviamente aggiornando anche roba di Gslacky, al successivo avvio di gnome un po' di roba mi mandava a quel paese. il tutto l'ho risolto ovviamente reinstalando di sopra i pkg originali di Gslacky.
A questo punto mi sono chiesto... perche' non fare una lista dei pacchetti che NON si possono assolutamente toccare, da mettere nella conf di swaret e slapt in modo che si aggiorna il sistema senza toccare gli intoccabili?
Avatar utente
mkt0
Linux 1.0
Linux 1.0
 
Messaggi: 91
Iscritto il: mer mar 10, 2004 0:00
Località: Bologna
Slackware: 13
Kernel: 2.6.32.2 lvm+luks
Desktop: Fluxbox

Re: Gslacky & upgrade

Messaggioda absinthe » lun mar 03, 2008 16:34

monta la iso di gslacky e cerca nella directory slckware: lì ci sono i pacchetti originali sovrascritti da glscky. impedendo l'aggiornamento di quelli sei sicuro di fare già un bel passo! poi se la slack current ha aggiornato altri pacchetti che sono invece impiegati nella versione 12.0 da gslacky... beh lì è un pò più complesso, direi che devi vedere se l'upgrade funziona, altrimenti blacklistare a manina...

M
Avatar utente
absinthe
Iper Master
Iper Master
 
Messaggi: 2354
Iscritto il: sab mag 14, 2005 23:00
Località: Prato
Nome Cognome: Matteo Nunziati
Slackware: 12.1 - defunct
Kernel: 2.6.32-5-amd64
Desktop: gnome
Distribuzione: debian squeeze

Re: Gslacky & upgrade

Messaggioda gohanz » lun mar 03, 2008 19:03

I pacchetti, presenti su Slacky, che effettivamente danno problemi dopo l'upgrade. Sono


1) exempi

2) lixklavier

Forse sarebbe il caso di rimuoverli dal repository principale! :roll:
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Gslacky & upgrade

Messaggioda Loris » mar mar 04, 2008 13:40

Andrea dimmi tu... se è il caso questa sera procedo...
"Ho una testa piuttosto balzana e comunque non sono quello che credete" - Roger Keith Barrett
Avatar utente
Loris
Admin
Admin
 
Messaggi: 7593
Iscritto il: dom mar 30, 2003 23:00
Località: Gradisca D'Isonzo
Nome Cognome: Loris Vincenzi
Slackware: 14.1
Kernel: 3.10.17
Desktop: Kde 4.10.5

Re: Gslacky & upgrade

Messaggioda gohanz » mar mar 04, 2008 14:02

Loris ha scritto:Andrea dimmi tu... se è il caso questa sera procedo...


Si ok ti faccio sapere! ;)
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Gslacky & upgrade

Messaggioda mkt0 » mar mar 04, 2008 14:28

Be si, rimuovere i pacchetti che sicuramente creano problemi di dipendenze a gnome ci sta'... gnome deve partire sempre!
Nel caso di applicativi invece ognuno bada a quel che fa'... tipo con le gnutls, pidgin ed ho notato anche wireshark, con la versione aggiornata gnutls-2.2.2-i486-1sl presente nel repository, danno lo stesso tipo di problema.
In questo caso pero' non mi sembrerebbe una buona idea rimuovere questi aggiornamenti... riguardano solo applicativi.
Avatar utente
mkt0
Linux 1.0
Linux 1.0
 
Messaggi: 91
Iscritto il: mer mar 10, 2004 0:00
Località: Bologna
Slackware: 13
Kernel: 2.6.32.2 lvm+luks
Desktop: Fluxbox

Re: Gslacky & upgrade

Messaggioda gohanz » mar mar 04, 2008 19:50

Exempi e Libxklavier non sono applicativi, ma librerie. Poi sono linkate proprio con il core di Gnome.

Nautilus è compilato con il supporto per Exempi. Libxklavier poi è richiesto da svariati pacchetti core di Gnome ( Gnome-Control-Center, Gnome-applets, Libgnomekbd...
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Gslacky & upgrade

Messaggioda slucky » mer mar 05, 2008 0:32

Oramai senza Gslacky non si puo' stare


Ti capisco e ti quoto al 100% :D
forse in caso di upgrade del sistema è consigliabile rimuovere prima e poi reinstallare lo gnomo, così da ritrovarsi con tutti i files di config al posto giusto.


SAluti a tutti :D
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: Gslacky & upgrade

Messaggioda gohanz » mer mar 05, 2008 8:09

Mancano meno di 10 giorni alla rilasciata del nuovo Gnome-2.22.0. :D

http://live.gnome.org/TwoPointTwentyone/
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Gslacky & upgrade

Messaggioda mkt0 » mer mar 05, 2008 20:00

gohanz ha scritto:Exempi e Libxklavier non sono applicativi, ma librerie. Poi sono linkate proprio con il core di Gnome.

Nautilus è compilato con il supporto per Exempi. Libxklavier poi è richiesto da svariati pacchetti core di Gnome ( Gnome-Control-Center, Gnome-applets, Libgnomekbd...


che exempi e libxklavier siano librerie e' ovvio, ma lo sono anche le gnutls... solo che non servono a gnome per partire correttamente. intendevo solo questo.

alla fine mettero' quelle due lib tra gli exlude di swaret. se cambiano o se ne aggiungono altre a quelle intoccabili per gnome non sarebbe male tenerli annotati da qualche parte per noi "upgradatori" :)

happy slacky 8)
Avatar utente
mkt0
Linux 1.0
Linux 1.0
 
Messaggi: 91
Iscritto il: mer mar 10, 2004 0:00
Località: Bologna
Slackware: 13
Kernel: 2.6.32.2 lvm+luks
Desktop: Fluxbox

Re: Gslacky & upgrade

Messaggioda slucky » mer mar 05, 2008 23:44

Mancano meno di 10 giorni alla rilasciata del nuovo Gnome-2.22.0.


allora caro gohanz comincio a mettere in caldo il download-manager che tra poco si parte con uno gnomo nuovo fiammante!!! :lol:
"...and what exactly is a dream....and what exactly is a joke."

"Jugband Blues" ( Syd Barrett )
Avatar utente
slucky
Iper Master
Iper Master
 
Messaggi: 2379
Iscritto il: mar mag 01, 2007 14:30
Slackware: 14.1
Kernel: default
Desktop: xfce

Re: Gslacky & upgrade

Messaggioda gohanz » gio mar 06, 2008 8:21

Per la rilascita del nuovo GSlacky ci vorrà un bel po. Anche perchè qui abbiamo il passaggio dalla 2.20.* alla 2.22.*. Ci sono poi molte novità e con le novità sicuramente molti problemi! :lol:
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Gslacky & upgrade

Messaggioda submax82 » sab mar 08, 2008 0:32

gohanz ha scritto:Per la rilascita del nuovo GSlacky ci vorrà un bel po. Anche perchè qui abbiamo il passaggio dalla 2.20.* alla 2.22.*. Ci sono poi molte novità e con le novità sicuramente molti problemi! :lol:


appena posso rilascio l'installer fixato... appena trovo un pc con la scheda video funzionante in modo da non bruciarmi gli occhi... :cry:
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Re: Gslacky & upgrade

Messaggioda gohanz » sab mar 08, 2008 8:04

submax82 ha scritto:
gohanz ha scritto:Per la rilascita del nuovo GSlacky ci vorrà un bel po. Anche perchè qui abbiamo il passaggio dalla 2.20.* alla 2.22.*. Ci sono poi molte novità e con le novità sicuramente molti problemi! :lol:


appena posso rilascio l'installer fixato... appena trovo un pc con la scheda video funzionante in modo da non bruciarmi gli occhi... :cry:



Submax senza fare troppe modifiche l'installer modificato deve installare ma senza disinstallare il pkgtools modificato. In pratica lo mettiamo in una directory a parte che non viene toccata dalla procedura di disinstallazione. Spero di essermi spiegato! :roll:
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Gslacky & upgrade

Messaggioda submax82 » sab mar 08, 2008 10:39

gohanz ha scritto:
submax82 ha scritto:
gohanz ha scritto:Per la rilascita del nuovo GSlacky ci vorrà un bel po. Anche perchè qui abbiamo il passaggio dalla 2.20.* alla 2.22.*. Ci sono poi molte novità e con le novità sicuramente molti problemi! :lol:


appena posso rilascio l'installer fixato... appena trovo un pc con la scheda video funzionante in modo da non bruciarmi gli occhi... :cry:



Submax senza fare troppe modifiche l'installer modificato deve installare ma senza disinstallare il pkgtools modificato. In pratica lo mettiamo in una directory a parte che non viene toccata dalla procedura di disinstallazione. Spero di essermi spiegato! :roll:


avevo capito come fare... non serve la directory... ci penso io... ho già un'idea utilizzando sed...
Avatar utente
submax82
Staff
Staff
 
Messaggi: 3202
Iscritto il: mar ago 30, 2005 23:00
Desktop: xfce
Distribuzione: SalixOS

Prossimo

Torna a Gnome Slacky

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron